# Create Customer

This API endpoint allows you to create a new customer. Customers can be created with various attributes, including their username, name, password, and limit.

**Endpoint URL:**  `https://api.v7.botpenguin.com/customer/create`

**HTTP Method:** POST

#### Request Headers

* `Authorization`: A bearer token is required for authentication. Replace `[MASKED_TOKEN]` with your valid API token. This token is used to authenticate and authorize the request.
* `Content-Type`: Set to `application/json` to indicate that the request body is in JSON format.

#### Request Body

The request body should be a JSON object containing the following attributes:

* `username` (string, required): The email address of the customer.
* `name` (string, required): The name of the customer.
* `password` (string, required): The password for the customer's account.

#### Sample Request

```bash

curl --location 'https://api.v7.botpenguin.com/customer/create' \
--header 'authorization: Bearer [MASKED_TOKEN] ' \
--header 'content-type: application/json' \
--header 'authtype: Key' \
--data-raw '{"username":"Garima@test.com","name":"Garima","password":"Garima23$"}'
```

#### Success API Response

```json
{
"success": true,
"message": "",
"data": {
"chatGPT": {
"websites": []
},
"ai": {
"limit": 100,
"consumed": 0
},
"isTourCompleted": {
"canvas": {
"classic": false,
"visual": false
},
"ai": false
},
"likedTemplates": {
"flow": [],
"whatsapp": []
},
"accountUsage": {
"activitySource": "DASHBOARD",
"status": "IN_USE"
},
"name": "Garima",
"loginCount": 0,
"contact": {
"phone": {
"prefix": "",
"number": ""
},
"_id": "695e2c30ca5497614f9021ff",
"email": "garima@test.com"
},
"picture": "",
"verified": true,
"status": "ACTIVE",
"limitOver": false,
"limitOverWhatsapp": false,
"limitOverFacebook": false,
"limitOverTelegram": false,
"limitOverInstagram": false,
"canAccessPayment": true,
"currentUsage": 0,
"consumption": {
"website": 0,
"telegram": 0,
"whatsapp": 0,
"facebook": 0,
"instagram": 0,
"msTeams": 0,
"sms": 0,
"voiceMinutes": 0,
"aiVoiceMinutes": 0,
"whatsappMarketingMessages": 0,
"whatsappUtilityMessages": 0,
"whatsappAuthenticationMessages": 0,
"whatsappServiceMessages": 0
},
"referral": {
"exists": false,
"by": "",
"status": "PENDING",
"createdAt": "2026-01-07T09:49:36.673Z",
"updatedAt": "2026-01-07T09:49:36.673Z"
},
"whitelabel": true,
"isBotWhitelabeled": false,
"description": "",
"liveAvailability": "OFFLINE",
"userType": "WHITELABEL",
"agencyStatus": "ACTIVE",
"googleRecaptcha": false,
"isChatGPTEnabled": false,
"unreadMessages": 0,
"consumptionAlertsEmailSent": [],
"isChatGPTEnquiryFormFilled": false,
"social": false,
"isPasswordChanged": false,
"isTrialOpted": false,
"sidebarVersion": "v2",
"canToggleSidebar": false,
"_id": "695e2c30ca5497614f9021fe",
"_parent": "695e2c30ca5497614f9021fe",
"_planV2": "68f21d56ab396bc532e99089",
"subscriptionType": "v2",
"subscriptionConfig": true,
"consumptionAlerts": {
"first": false,
"second": false,
"third": false,
"fourth": false
},
"limitPeriod": {
"from": "2026-01-07T00:00:00.000Z",
"to": "2026-02-06T00:00:00.000Z"
},
"addOns": [],
"createdAt": "2026-01-07T09:49:36.705Z",
"updatedAt": "2026-01-07T09:49:36.705Z",
"__v": 0,
"type": "CUSTOMER",
"username": "Garima@test.com",
"role": "5fa913b09f70684af004db13",
"onboard": true
},
"code": 201,
"meta": ""
}
```

#### Response

The API will respond with the created customer information or an error message if the request fails.&#x20;

### API Response Fields

#### Root Level Fields

* **success** *(boolean)* – Indicates whether the API request was successful
* **message** *(string)* – Informational or error message (empty if none)
* **code** *(number)* – HTTP-like status code for the response
* **meta** *(string/object)* – Additional metadata (if any)
* **data** *(object)* – Contains user, usage, and configuration details

***

### `data` Object Fields

#### User Profile

* **name** *(string)* – User’s display name
* **username** *(string)* – Login username/email
* **picture** *(string)* – Profile image URL
* **verified** *(boolean)* – Whether the user is verified
* **status** *(string)* – Account status (e.g., ACTIVE)
* **userType** *(string)* – Type of user (e.g., WHITELABEL)
* **role** *(string)* – User role ID
* **type** *(string)* – Account type (e.g., CUSTOMER)

***

#### Contact Information

* **contact.email** *(string)* – User email address
* **contact.phone.prefix** *(string)* – Country code
* **contact.phone.number** *(string)* – Phone number

***

#### Subscription & Plan

* **subscriptionType** *(string)* – Subscription version
* **subscriptionConfig** *(boolean)* – Subscription configuration enabled
* **\_planV2** *(string)* – Plan ID
* **limitPeriod.from** *(ISO date)* – Usage cycle start date
* **limitPeriod.to** *(ISO date)* – Usage cycle end date

***

#### Usage & Limits

* **ai.limit** *(number)* – AI usage limit
* **ai.consumed** *(number)* – AI usage consumed
* **currentUsage** *(number)* – Total current usage
* **limitOver** *(boolean)* – Overall usage limit exceeded
* **limitOverWhatsapp / Facebook / Telegram / Instagram** *(boolean)* – Channel-specific limits

***

#### Consumption Metrics

* **consumption.website** *(number)* – Website messages used
* **consumption.whatsapp** *(number)* – WhatsApp messages used
* **consumption.facebook / instagram / telegram** *(number)* – Channel usage
* **consumption.sms** *(number)* – SMS usage
* **consumption.voiceMinutes** *(number)* – Voice minutes used
* **consumption.aiVoiceMinutes** *(number)* – AI voice usage

***

#### WhatsApp Message Breakdown

* **whatsappMarketingMessages** *(number)*
* **whatsappUtilityMessages** *(number)*
* **whatsappAuthenticationMessages** *(number)*
* **whatsappServiceMessages** *(number)*

***

#### Feature Flags & Settings

* **isChatGPTEnabled** *(boolean)* – ChatGPT feature status
* **isChatGPTEnquiryFormFilled** *(boolean)* – ChatGPT enquiry completion
* **googleRecaptcha** *(boolean)* – reCAPTCHA enabled
* **social** *(boolean)* – Social integrations enabled
* **whitelabel** *(boolean)* – White-label account status

***

#### Onboarding & UI

* **onboard** *(boolean)* – Onboarding completed
* **isTourCompleted.canvas.classic / visual** *(boolean)* – Tour completion status
* **sidebarVersion** *(string)* – UI sidebar version
* **canToggleSidebar** *(boolean)* – Sidebar toggle permission

***

#### Activity & System Info

* **loginCount** *(number)* – Number of logins
* **unreadMessages** *(number)* – Pending unread messages
* **liveAvailability** *(string)* – Online/Offline status
* **accountUsage.status** *(string)* – Current usage state

***

#### Referral

* **referral.exists** *(boolean)* – Referral existence
* **referral.status** *(string)* – Referral status
* **referral.createdAt / updatedAt** *(ISO date)* – Referral timestamps

***

#### Timestamps

* **createdAt** *(ISO date)* – Account creation date
* **updatedAt** *(ISO date)* – Last update date

### :question: Got any questions?

If you have any questions, you can look into our repository of FAQs, most likely, you will find your answer here, If not, write us at <contact@botpenguin.com>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://partners.botpenguin.com/api-documentation/partner-api-documentation/create-customer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
